=== debian/changelog ===
gcpegg (5.1-17) unstable; urgency=medium

  * QA Upload
  * Build with "Rules-Requires-Root: no" (Closes: #1089334)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 15:41:13 +0100

gcpegg (5.1-16) unstable; urgency=medium

  * orphan the package

 -- Bdale Garbee <bdale@gag.com>  Sat, 17 Feb 2024 12:46:20 -0700

gcpegg (5.1-15) unstable; urgency=medium

  * switch to systemd service file and udev rule, allows removing the
    dependency on openvt and all the related weird behaviors

 -- Bdale Garbee <bdale@gag.com>  Sat, 26 Oct 2019 16:58:58 -0600

gcpegg (5.1-14) unstable; urgency=medium

  * patch debian/rules to make build reproducible, closes: #777416
  * source init functions
  * use dh_prep instead of the deprecated dh_clean -k
  * update to current standards version

 -- Bdale Garbee <bdale@gag.com>  Mon, 15 Aug 2016 00:29:40 -0400

gcpegg (5.1-13) unstable; urgency=low

  * merge 64-bit fixes from Fernando Lucas Rodriguez <fernando_lr@terra.es>,
    closes: #680014
  * fix additional 64-bit isms in the UI code
  * revise dependency to be kbd | console-tools to ease backport support
  * unqualify openvt path in init.d to tolerate /bin or /usr/bin
  * enable the use of USB serial ports, etc, by making eggsh always open
    /dev/REG, which is now assumed to be a symlink to the actual device

 -- Bdale Garbee <bdale@gag.com>  Tue, 03 Jul 2012 15:21:57 -0600

gcpegg (5.1-12) unstable; urgency=low

  * change dep to get 'open' from console-tools to kbd, closes: #671082

 -- Bdale Garbee <bdale@gag.com>  Thu, 03 May 2012 11:43:39 -0600

gcpegg (5.1-11) unstable; urgency=low

  * add Vcs entries to the control file
  * change dep from open to console-tools
  * change arch to linux-any to avoid kfreebsd folk thinking this package
    is worth spending any time on, closes: #648362

 -- Bdale Garbee <bdale@gag.com>  Thu, 10 Nov 2011 13:49:00 -0700

gcpegg (5.1-10) unstable; urgency=low

  * add a purge target to the init.d script, closes: #367123
  * merge patch that adds support for Debian/kfreebsd, closes: #414405
  * rename 'basket' to 'gcpbasket' to avoid package conflict, closes: #420632
  * add LSB structure to init.d
  * update standards version

 -- Bdale Garbee <bdale@gag.com>  Sat, 28 Apr 2007 11:01:23 -0600

gcpegg (5.1-9) unstable; urgency=low

  * use fully qualified pathnames in init.d, addresses another part of 347778

 -- Bdale Garbee <bdale@gag.com>  Fri, 14 Apr 2006 23:36:52 -0600

gcpegg (5.1-8) unstable; urgency=low

  * move to newer debhelper compatibility level, closes: #328793, #359417
  * add -f to openvt invocation in init.d, and create a README.debian with
    firewalling information, at suggestion of Fernando Lucas Rodriguez
  * improve the existence check in init.d, addresses part of 347778
  * add text to README.debian about know problems on at least amd64

 -- Bdale Garbee <bdale@gag.com>  Fri, 14 Apr 2006 23:32:30 -0600

gcpegg (5.1-7) unstable; urgency=low

  * change build dependency to use libncurses-dev, closes: #101655
  * various packaging cleanups for things lintian discovered
  * augment list of header files included, to eliminate implicit declarations

 -- Bdale Garbee <bdale@gag.com>  Sun, 22 Jul 2001 23:59:25 -0600

gcpegg (5.1-6) unstable; urgency=low

  * use 'openvt' instead of 'open' in init.d since that's canonical now,
    closes: #53180
  * update sample eggrc file to reflect current protocol, closes: #79545

 -- Bdale Garbee <bdale@gag.com>  Wed, 20 Dec 2000 12:24:57 -0700

gcpegg (5.1-5) unstable; urgency=low

  * fix inconsistent virtual terminal number in init.d script

 -- Bdale Garbee <bdale@gag.com>  Wed, 15 Dec 1999 17:39:17 -0700

gcpegg (5.1-4) unstable; urgency=low

  * add a missing item to build dependencies

 -- Bdale Garbee <bdale@gag.com>  Sun,  5 Dec 1999 20:41:31 -0700

gcpegg (5.1-3) unstable; urgency=low

  * update to current policy

 -- Bdale Garbee <bdale@gag.com>  Wed,  1 Dec 1999 23:48:50 -0700

gcpegg (5.1-2) unstable; urgency=low

  * move the display to virtual terminal 8, which is unlikely to get in
    the way of anthing else going on.  Thanks to Craig Sanders for the
    suggestion.

 -- Bdale Garbee <bdale@gag.com>  Mon, 10 May 1999 07:38:23 -0600

gcpegg (5.1-1) unstable; urgency=low

  * Initial Release.
  * add init.d fragment to auto-launch, uses 'open' and puts the program
    on virtual terminal 2.  This may not make everyone happy, but is good
    enough for now.

 -- Bdale Garbee <bdale@gag.com>  Sun,  9 May 1999 20:06:40 -0600
