=== debian/control ===
Source: gcpegg
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 5), libncurses-dev
Rules-Requires-Root: no
Standards-Version: 4.4.1
Vcs-Git: git://git.gag.com/debian/gcpegg
Vcs-Browser: https://git.gag.com/?p=debian/gcpegg

Package: gcpegg
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Global Consciousness Project EGG Software
 The GCP studies data from random event generators in widely distributed
 locations, to discern non-random patterns that may result from the
 interaction of human consciousness with the generators.
 .
 This package provides the software required to operate a random event
 generator and return data to the project.  Unless you are registered
 with the GCP and have received event generator hardware, this package
 will be useless to you.  If you have no idea what this means, don't
 bother installing this package!
 .
 More GCP information is available at http://global-mind.org
