=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp install-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_prep
	dh_installdirs
	/usr/bin/install -m 0755 eggsh debian/gcpegg/usr/sbin
	/usr/bin/install -m 0755 regtest debian/gcpegg/usr/sbin
	/usr/bin/install -m 0755 basket \
		debian/gcpegg/usr/sbin/gcpbasket
	/usr/bin/install -m 0644 eggrc.sample \
		debian/gcpegg/etc/eggrc
	/usr/bin/install -m 0644 debian/gcpegg.1 \
		debian/gcpegg/usr/share/man/man1/gcpegg.1
	gzip -9n debian/gcpegg/usr/share/man/man1/gcpegg.1
	( cd debian/gcpegg/usr/share/man/man1 ; \
                ln gcpegg.1.gz gcpbasket.1.gz ;\
                ln gcpegg.1.gz eggsh.1.gz ;\
                ln gcpegg.1.gz regtest.1.gz )
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_systemd_start
	dh_systemd_enable
	dh_installudev
	dh_installcron
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary binary-arch binary-indep
